<?php
/*
  $Id: view_counter_uninstall, v 1.0 2012/07/01 by Jack York

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  Portions Copyright 2012 oscommerce-solution.com

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  define('CONTRIBUTION_TITLE', 'View Counter');
  define('CONTRIBUTION_INSTALLER_NAME', 'View Counter Database uninstaller');  
  define('CONTRIBUTION_COMMENT', 'View counter site wide options');
  $config_sql_array = array(

  array("DELETE FROM configuration_group WHERE configuration_group_title LIKE 'View Counter%'"),
  array("DELETE FROM configuration WHERE configuration_key LIKE 'VIEW_COUNTER_%'"),

  array("DROP TABLE IF EXISTS view_counter"),
  array("DROP TABLE IF EXISTS view_counter_storage"),
  array("DROP TABLE IF EXISTS view_counter_banned"),
  array("DROP TABLE IF EXISTS view_counter_block_list"),
  array("DROP TABLE IF EXISTS view_counter_blocked"),
  array("DROP TABLE IF EXISTS view_counter_emails"),
  array("DROP TABLE IF EXISTS view_counter_flags"),
  array("DROP TABLE IF EXISTS view_counter_session_kill"),
  array("DROP TABLE IF EXISTS view_counter_settings"),
  array("DROP TABLE IF EXISTS view_counter_ignore"));

  foreach ($config_sql_array as $sql_array) {
    foreach ($sql_array as $value) {
      //echo $value . '<br>';
      if (tep_db_query($value) == false) {
        $db_error = true;
      }
    }
  }

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body>


<div>

<!-- body_text //-->
    <div style="width:100%; vertical-align:top">
      <div class="pageHeading"><?php echo CONTRIBUTION_INSTALLER_NAME; ?></div>
         <?php
           if ($db_error == false) {
             echo '<div>Database changes for ' . CONTRIBUTION_TITLE . ' were successfully removed!!!</div>';
             echo '<div><a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a></div>';
           } else {
             echo '<div>Error encountered during the ' . CONTRIBUTION_TITLE . ' database update.</div>';
           }
         ?>
 
</body>
</html>
